onClipEvent(load){
   function get_angle(x1, y1, x2, y2)
   {
      var lx = x2 - x1;
      var ly = y2 - y1;
      var dir = todeg(Math.atan(Math.abs(ly) / Math.abs(lx)));
      if(lx >= 0)
      {
         if(ly >= 0)
         {
            dir = dir;
         }
         else
         {
            dir = - dir;
         }
      }
      else if(lx < 0)
      {
         if(ly >= 0)
         {
            dir = 180 - dir;
         }
         else
         {
            dir = 180 + dir;
         }
      }
      return dir;
   }
   function torad(angle)
   {
      return 0.017453292519943295 * angle;
   }
   function todeg(angle)
   {
      return 57.29577951308232 * angle;
   }
   function get_hyp(x1, y1, x2, y2)
   {
      l_x = x1 - x2;
      l_y = y1 - y2;
      hyp2 = Math.sqrt(l_x * l_x + l_y * l_y);
      return hyp2;
   }
   function get_nb_frame(x1, y1, x2, y2, speed)
   {
      var dist = get_hyp(x1,y1,x2,y2);
      return Math.floor(dist / speed);
   }
   lim_dist = _width;
   if(_name == "bolas")
   {
      _visible = false;
   }
}
